R v4.2.0 (Vigorous Calisthenics) and bear [🇷 for BE/BA]

posted by yjlee168 Homepage – Kaohsiung, Taiwan, 2022-05-03 03:16 (24 d 14:31 ago) – Posting: # 22951
Views: 181

Dear bear users,

Quick conclusion: stay with R v4.1.3 if you like to run bear recently for all platforms (Ubuntu/Debian, Windows & macOS) for the moment.

I have tested R version 4.2.0 (Vigorous Calisthenics released on April 22, 2022) on Ubuntu/Debian and Windows 10. The required GUI packages, RGtk2 & cairoDevice, cannot even be compiled on Ubuntu 20.4 & Debian 11 (bullseyes). The problem can be due to R-provided Makeconf. I switched back to v4.1.2 (Debian; cannot find R v4.1.3 on its repository). On Windows 10 (maybe also 11 too), both can be compiled successfully. Unfortunately, GUI cannot be run with the error message of 'Graphics API version mismatch.' so it can be the issue of GTK+ runtime (also required to be re-compiled to meet UCRT?). I have not tested on macOS yet. However, I do not expect that it can work on macOS. Please let me know if you can do it on macOS. Let's wait and see further release or improvement of R. That's it.

All the best,
-- Yung-jin Lee
bear v2.9.1:- created by Hsin-ya Lee & Yung-jin Lee
Kaohsiung, Taiwan https://www.pkpd168.com/bear
Download link (updated) -> here

Complete thread:

UA Flag
Activity
 Admin contact
22,108 posts in 4,630 threads, 1,567 registered users;
online 5 (0 registered, 5 guests [including 3 identified bots]).
Forum time: Friday 17:47 CEST (Europe/Vienna)

We absolutely must leave room for doubt
or there is no progress and no learning.
There is no learning without having to pose a question.
And a question requires doubt.
People search for certainty.
But there is no certainty.    Richard Feynman

The Bioequivalence and Bioavailability Forum is hosted by
BEBAC Ing. Helmut Schütz
HTML5